> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide.md).

# Troubleshoot Guide

- [Missing Unreal Engine Tool Set in Microsoft Visual Studio Toolchain](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide/missing-unreal-engine-tool-set-in-microsoft-visual-studio-toolchain.md): Primary reason for most of the Unreal Engine packaging issue with Convai Unreal Engine SDK.
- [Convai Module Not Found](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide/convai-module-not-found.md): This problem arises when ConvaiOVRLipSync is not added to the project.
- [MetaHuman Plugin Conflict](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide/metahuman-plugin-conflict.md): Conflicts with Convai arise when packaging a project containing the MetaHuman plugin in the editor.
- [Failure to Load Character IDs](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide/failure-to-load-character-ids.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/troubleshoot-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
